<?php
/*
YaotGui IO

This file is part of YaotGui.

YaotGui is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

YaotGui is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with YaotGui.  If not, see <http://www.gnu.org/licenses/>.

Copyright 2008 Thomas Axelsson

*/

include('lib_directory.php');
include('lib_directorylists.php');

function isInAllowedPath($path)
{
   if(strpos($path, '..') !== false)
      return false;

   foreach(Settings::$ALLOWED_PATHS as $aPath)
   {
      //case insensitive as we have windows users too
      if(strcasecmp($path, $aPath) == 0 || stripos($path, $aPath . '/') === 0)
	 return true;
   }

   return false;
}
?>
